Subject: Re: [PATCH v2 0/2] brcmfmac: support parse country code map from DT

From: Rob Herring <[email-masked]>
Date: Thu, 15 Apr 2021 16:34:06 -0500

On Thu, Apr 15, 2021 at 06:47:26PM +0800, Shawn Guo wrote:
> This is a couple of patches adding optional brcm,ccode-map bindings for
> brcmfmac driver to parse country code map from DT.
> 
> Changes for v2:
>  - Rebase bindings patch on top of yaml conversion patch [1].
>  - Improve commit log with Arend's explanation on why this data could
>    be put in device tree.
>  - Use pattern to define mapping string as suggested by Rob.
>  - Use brcmf_err() instead of dev_warn() and print error code.
>  - Use sscanf() to validate mapping string.
>  - Use brcmf_dbg(INFO, ...) to print country code entry.
>  - Separate BRCMF_BUSTYPE_SDIO bus_type check from general DT validation.
> 
> [1] https://patchwork.kernel.org/project/linux-wireless/patch/[email-masked]/

As that's in my tree, I'm applying patch 1. Patch 2 should go via the 
wireless tree.

Rob